---
title: "Autocomplete Team"
slug: "autocomplete-team"
updated: 2026-06-08T12:46:40Z
published: 2026-06-08T12:46:40Z
stale: true
---

> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt
> Use this file to discover all available pages before exploring further.

# Autocomplete Team

Get/api/v1/teams.autocomplete

List the teams whose names match a given pattern.

Header parametersX-Auth-TokenstringRequired

The `authToken` of the authenticated user.

ExampleRScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f
X-User-IdstringRequired

The `userId` of the authenticated user.

ExamplerbAXPnMktTFbNpwtJ

Query parametersnamestringRequired

The pattern (search filter for team names).

Exampleteam

Responses200

OK

<select class='api-response-data' aria-label='Media type'><option value='ec7e6ff1-25d8-4222-a323-75c372568877'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='6784b6ef-45bb-4787-8402-ade02a5912f4'>Success</option>
</select>Success

```json
{
  "teams": [
    {
      "_id": "Dgh2xwJ3NFKWvKSqY",
      "name": "team1",
      "fname": "team1",
      "t": "p",
      "teamId": "607e0d9b49d493189836bfac"
    }
  ],
  "success": true
}
```

Expand Allobject  teams Array of object   object  _idstring    
namestring    
fnamestring    
tstring    
teamIdstring    

successboolean    

401

Unauthorized

<select class='api-response-data' aria-label='Media type'><option value='576ef6b1-e983-4988-aaf2-b089e28cddec'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='be141a1d-fa20-4c51-9f12-8628bdf2da00'>Authorization Error</option>
</select>Authorization Error

```json
{
  "status": "error",
  "message": "You must be logged in to do this."
}
```

object  statusstring    
messagestring
